import request from '@/utils/request'
// 查询列表
export function queryDiagramList(query) {
  return request({
    url: '/doubledefense/diagram/list',
    method: 'get',
    params: query
  })
}
// 删除数据
export function delDiagram(ids) {
  return request({
    url: `/doubledefense/diagram/${ids}`,
    method: 'delete'
  })
}
// 修改
export function editDiagram(data) {
  return request({
    url: '/doubledefense/diagram',
    method: 'put',
    data
  })
}
// 新增
export function addDiagram(data) {
  return request({
    url: '/doubledefense/diagram',
    method: 'post',
    data
  })
}
